#! /usr/bin/env -S python3 -B

import os
import shutil
import subprocess
import sys

from pathlib import Path

from rwx.prj.sphinx import SphinxProject

TRAVAUX = [
    # "thesis",
]


def others():
    travaux = os.path.join("cnam")
    for travail in TRAVAUX:
        subprocess.call([os.path.join(travaux, travail, "build.py")])


def main():
    file = os.path.realpath(__file__)
    directory = os.path.dirname(file)
    os.chdir(directory)
    # projects
    others()
    # project
    sys.exit(SphinxProject(Path(__file__)).build())


if __name__ == "__main__":
    main()
